import { ICredentialDataDecryptedObject, ICredentialsHelper, IDeferredPromise, IHttpRequestHelper, IHttpRequestOptions, INode, INodeCredentialsDetails, INodeType, INodeTypeData, INodeTypes, IRun, IWorkflowExecuteAdditionalData } from 'n8n-workflow';
import { Credentials } from '../src';
export declare class CredentialsHelper extends ICredentialsHelper {
    authenticate(credentials: ICredentialDataDecryptedObject, typeName: string, requestParams: IHttpRequestOptions): Promise<IHttpRequestOptions>;
    preAuthentication(helpers: IHttpRequestHelper, credentials: ICredentialDataDecryptedObject, typeName: string, node: INode, credentialsExpired: boolean): Promise<ICredentialDataDecryptedObject | undefined>;
    getParentTypes(name: string): string[];
    getDecrypted(nodeCredentials: INodeCredentialsDetails, type: string): Promise<ICredentialDataDecryptedObject>;
    getCredentials(nodeCredentials: INodeCredentialsDetails, type: string): Promise<Credentials>;
    updateCredentials(nodeCredentials: INodeCredentialsDetails, type: string, data: ICredentialDataDecryptedObject): Promise<void>;
}
declare class NodeTypesClass implements INodeTypes {
    nodeTypes: INodeTypeData;
    init(nodeTypes: INodeTypeData): Promise<void>;
    getAll(): INodeType[];
    getByName(nodeType: string): INodeType;
    getByNameAndVersion(nodeType: string, version?: number): INodeType;
}
export declare function NodeTypes(): NodeTypesClass;
export declare function WorkflowExecuteAdditionalData(waitPromise: IDeferredPromise<IRun>, nodeExecutionOrder: string[]): IWorkflowExecuteAdditionalData;
export {};
